<ion-toolbar color="light">
  <ion-buttons slot="secondary">
    <ion-button (click)="userPopover($event)">
      <ion-icon slot="icon-only" name="person-circle"></ion-icon>
    </ion-button>
  </ion-buttons>
  <ion-buttons slot="primary">
    <ion-button color="primary" (click)="tabActionsPopover($event)">
      <ion-icon slot="icon-only" ios="ellipsis-horizontal" md="ellipsis-vertical" color="dark"></ion-icon>
    </ion-button>
  </ion-buttons>
  <ion-title>Fields</ion-title>
</ion-toolbar>
<ion-content [fullscreen]="true">  
  <ul id="empty-prompt" *ngIf="fields.length == 0" class="ion-padding-horizontal">
    <li *ngIf="loading">
      Fetching fields...
    </li>
    <li *ngIf="!loading">
      <ion-text color="dark">There aren't any fields to display, perhaps you want to create a field?</ion-text><br><br>
      <ion-text color="dark">Click the ellipsis on the top right</ion-text>
    </li>
  </ul>
  <ion-grid>
    <ion-row id="fields-holder" *ngIf="fields.length > 0">
      <ion-col sizeMd="3" sizeSm="12" class="ion-text-center" *ngFor="let field of fields;">
        <ion-card>
          <ion-icon (click)="optionsPopover($event,field)" color="dark" name="ellipsis-vertical-circle-outline"></ion-icon>
          <ion-list>
            <ion-item>
              <ion-label>
                <h1>{{field.name}}</h1>
                <p>NAME OF FIELD</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h2>{{field.crop}}</h2>
                <p>CROP GROWN</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h2>{{field.area}}</h2>
                <p>AREA in acres</p>
              </ion-label>
            </ion-item>
            <ion-item>
              <ion-label>
                <h2>{{field.owner}}</h2>
                <p>OWNER</p>
              </ion-label>
            </ion-item>
          </ion-list>          
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
